To grab a forex conversion db run...
# ./get-forex-quotes.sh > forex.db


To display the budget in ZAR, just run...
# ledger -f budget.ledger balance -X ZAR


To get a difference between the budget and the journal...
# ledger -f journal.ledger --price-db forex.db balance income expenses liabilities budget equity -X ZAR




Check madducks wrapper script for more.
